Subject: Re: [PATCH RFC net-next v2 5/8] cadence: macb: add XDP support for gem

From: Paolo Valerio <[email-masked]>
Date: Mon, 12 Jan 2026 15:17:44 +0100

On 08 Jan 2026 at 04:49:45 PM, Théo Lebrun <[email-masked]> wrote:

> Hello Paolo, netdev,
>
> On Sun Dec 21, 2025 at 12:51 AM CET, Paolo Valerio wrote:
>> Introduce basic XDP support for macb/gem with the XDP_PASS,
>> XDP_DROP, XDP_REDIRECT verdict support.
>>
>> Signed-off-by: Paolo Valerio <[email-masked]>
>> ---
>>  drivers/net/ethernet/cadence/macb.h      |   3 +
>>  drivers/net/ethernet/cadence/macb_main.c | 184 ++++++++++++++++++++---
>>  2 files changed, 169 insertions(+), 18 deletions(-)
>>
>> diff --git a/drivers/net/ethernet/cadence/macb.h b/drivers/net/ethernet/cadence/macb.h
>> index 45c04157f153..815d50574267 100644
>> --- a/drivers/net/ethernet/cadence/macb.h
>> +++ b/drivers/net/ethernet/cadence/macb.h
>> @@ -16,6 +16,7 @@
>>  #include <linux/workqueue.h>
>>  #include <net/page_pool/helpers.h>
>>  #include <net/xdp.h>
>> +#include <linux/bpf_trace.h>
>
> Shouldn't that land in macb_main.c? Required by trace_xdp_exception().
>

that's right, no need to stay here

>> diff --git a/drivers/net/ethernet/cadence/macb_main.c b/drivers/net/ethernet/cadence/macb_main.c
>> index 582ceb728124..f767eb2e272e 100644
>> --- a/drivers/net/ethernet/cadence/macb_main.c
>> +++ b/drivers/net/ethernet/cadence/macb_main.c
>> @@ -5,6 +5,7 @@
>>   * Copyright (C) 2004-2006 Atmel Corporation
>>   */
>>  
>> +#include <asm-generic/errno.h>
>
> This is a mistake. For example compiling for a MIPS target I get all
> errno constants redefined. Seeing where it was added it might have been
> added by auto-import tooling.
>

yeah, it doesn't look right. No extra include is needed here.
You're right about the auto-import tooling. I just noticed I wrote
this on an lsp-mode/clangd config with the related default option
still on.

> If needed, to be replaced by
>    #include <linux/errno.h>
>
> ⟩ git grep -h 'include.*errno' drivers/ | sort | uniq -c | sort -nr | head -n3
>    1645 #include <linux/errno.h>
>      19 #include <asm/errno.h>
>       5 #include <linux/errno.h> /* For the -ENODEV/... values */
>
> Thanks,
>
> --
> Théo Lebrun, Bootlin
> Embedded Linux and Kernel engineering
> https://bootlin.com